import React from 'react'
import { Content } from "@onegeo/gatsby-theme-onegeo";
import { Logo } from "@onegeo/gatsby-theme-onegeo";
import { Link } from "gatsby";
import image from "../../../images/logo-egeo.png"

const logo = () => {
  return (
    <Content>
      <div className="prose">
        <Link to="/doc/core">Retour</Link>

        <h1>Logo</h1>
        <h2>Props</h2>
        <div className="mockup-code">
          <pre>
            <code>
              {`interface Props {
  to?: string;
  className: string;
  classImg?:string;
  src?: string;
  title: string;
  image: any
}`}
            </code>
          </pre>
        </div>

        <h2>Example</h2>
      </div>
      <div className="flex gap-6 m-4">
        <Logo title="My Logo" image={image} className="w-[150px]" classImg='my-2'/>
      </div>
    </Content>
  )
}

export default logo
